import { CommandRunner } from './CommandRunner';
import type { Class } from 'type-fest';
export interface CommandHandler<T1 = any, T2 = any> {
    handle: (event: T1) => Promise<T2>;
}
export declare abstract class AbstractCommandHandler<T1 = any, T2 = any> implements CommandHandler<T1, T2> {
    abstract handle(event: T1): Promise<T2>;
    private runner;
    run<T extends CommandHandler>(Handler: Class<T>, event: Parameters<T['handle']>['0']): Promise<ReturnType<T['handle']>>;
    setRunner(runner: CommandRunner): void;
}
//# sourceMappingURL=CommandHandler.d.ts.map