import { CommandHandler } from '../command';
import type { Class } from 'type-fest';
export interface SubscriberMetadata {
    HandlerClass: Class;
    SubscriberClass: Class;
    method: string | symbol;
    priority: number;
}
export interface SubscribersMetadata {
    middleware: Map<Class<CommandHandler>, SubscriberMetadata[]>;
    before: Map<Class<CommandHandler>, SubscriberMetadata[]>;
    after: Map<Class<CommandHandler>, SubscriberMetadata[]>;
}
interface Metadata {
    subscribers: SubscribersMetadata;
}
export declare class MetadataStorage {
    metadata: Metadata;
    private constructor();
    static getInstance(): MetadataStorage;
    clear(): void;
}
export declare const storage: MetadataStorage;
export {};
//# sourceMappingURL=MetadataStorage.d.ts.map