"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.storage = exports.MetadataStorage = void 0;
class MetadataStorage {
    constructor() {
        this.metadata = {
            subscribers: {
                middleware: new Map(),
                before: new Map(),
                after: new Map(),
            },
        };
    }
    static getInstance() {
        if (!global.__type_clean_metadata_storage__) {
            global.__type_clean_metadata_storage__ = new MetadataStorage();
        }
        return global.__type_clean_metadata_storage__;
    }
    clear() {
        this.metadata.subscribers.middleware.clear();
        this.metadata.subscribers.before.clear();
        this.metadata.subscribers.after.clear();
    }
}
exports.MetadataStorage = MetadataStorage;
exports.storage = MetadataStorage.getInstance();
//# sourceMappingURL=MetadataStorage.js.map